Az Apache Alapítvány a hétfői napon tette közzé weblapján nyílt forrású webszerverének legújabb változatát. Az új, 2.0.47-es verziószámot viselő Apache változat számtalan apró hiba mellett három súlyos biztonsági rés javítását is tartalmazza, amelyeken keresztül szolgáltatás-leállítási (DoS) támadások intézhetők a szerverek ellen.

A három hiba közül az első a szerverhez érkező kapcsolatokat fogadó rutinokban találhatók, míg a második és harmadik hiba az IPv6 protokoll, valamint a webszerveren belüli átirányításokkal kapcsolatos. Közös bennük, hogy mindannyian a kiszolgálás leállását vagy a webszerver összeomlását okozhatják.

Ezeken kívül az új Apache változat a korábbiaknál erősebb SSL kódolást, valamint kiterjedtebb többnyelvű támogatást, és több apróbb hiba javítását is tartalmazza.

Az Apache új, 2.0.47-es változatában eszközölt javításokról az érdeklődők bővebben a webszerver változási naplójában olvashatnak, a program forráskódja és binárisai pedig a projekt honlapjáról tölthetők le.